Page MenuHomePhabricator

PHP fatal error in Formatter/RecentChanges.php when accessing the Watchlist
Closed, ResolvedPublic

Description

When I try to access
https://www.mediawiki.org/wiki/Special:Watchlist

I get this:

PHP fatal error in /srv/mediawiki/php-1.25wmf7/extensions/Flow/includes/Formatter/RecentChanges.php line 107:

__clone method called on non-object


Version: unspecified
Severity: major

Details

Reference
bz73074

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz73074.
bzimport added a subscriber: Unknown Object (MLST).
He7d3r created this task.Nov 6 2014, 9:34 AM
DannyH added a comment.Nov 6 2014, 6:55 PM

Thank you for reporting this! We'll SWAT deploy a fix as soon as we can.

On the team's Trello board: https://trello.com/c/C6JZG4ss

Change 171611 had a related patch set uploaded by Matthias Mullie:
Fix fatal on watchlist

https://gerrit.wikimedia.org/r/171611

Change 171611 merged by jenkins-bot:
Fix fatal on watchlist

https://gerrit.wikimedia.org/r/171611

Change 171724 had a related patch set uploaded by EBernhardson:
Fix fatal on watchlist

https://gerrit.wikimedia.org/r/171724

Change 171724 merged by jenkins-bot:
Fix fatal on watchlist

https://gerrit.wikimedia.org/r/171724

All patches mentioned in this report were merged or abandoned - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:41 AM
Quiddity closed this task as Resolved.Dec 30 2014, 7:13 PM
Quiddity claimed this task.

I was experiencing this too, and I believe the patches fixed it, hence closing as resolved. Re-open if needed.